# MetricConfiguration (ARX GUI Documentation)

org.deidentifier.arx.metric

## Class MetricConfiguration

- java.lang.Object
- - org.deidentifier.arx.metric.MetricConfiguration

- All Implemented Interfaces:
    java.io.Serializable

      public class MetricConfiguration
      extends java.lang.Object
      implements java.io.Serializable

  A class for a configuration of a metric.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetricConfiguration(boolean monotonic, double gsFactor, boolean precomputed, double precomputationThreshold, Metric.AggregateFunction aggregateFunction)` Constructs a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Metric.AggregateFunction` | `getAggregateFunction()`
    `double` | `getGsFactor()`
    `double` | `getPrecomputationThreshold()`
    `boolean` | `isMonotonic()`
    `boolean` | `isPrecomputed()`
    `void` | `setAggregateFunction(Metric.AggregateFunction aggregateFunction)`
    `void` | `setGsFactor(double gsFactor)`
    `void` | `setMonotonic(boolean monotonic)`
    `void` | `setPrecomputationThreshold(double precomputationThreshold)`
    `void` | `setPrecomputed(boolean precomputed)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetricConfiguration

          public MetricConfiguration(boolean monotonic,
                             double gsFactor,
                             boolean precomputed,
                             double precomputationThreshold,
                             Metric.AggregateFunction aggregateFunction)

      Constructs a new instance.
      Parameters:
        `monotonic` -
        `gsFactor` -
        `precomputed` -
        `precomputationThreshold` -
        `aggregateFunction` -
        `attackerModel` -

  - ### Method Detail

    - #### getAggregateFunction

          public Metric.AggregateFunction getAggregateFunction()

      Returns:
        the aggregateFunction

    - #### getGsFactor

          public double getGsFactor()

      Returns:
        the gsFactor

    - #### getPrecomputationThreshold

          public double getPrecomputationThreshold()

      Returns:
        the precomputationThreshold

    - #### isMonotonic

          public boolean isMonotonic()

      Returns:
        the monotonic

    - #### isPrecomputed

          public boolean isPrecomputed()

      Returns:
        the precomputed

    - #### setAggregateFunction

          public void setAggregateFunction(Metric.AggregateFunction aggregateFunction)

      Parameters:
        `aggregateFunction` - the aggregateFunction to set

    - #### setGsFactor

          public void setGsFactor(double gsFactor)

      Parameters:
        `gsFactor` - the gsFactor to set

    - #### setMonotonic

          public void setMonotonic(boolean monotonic)

      Parameters:
        `monotonic` - the monotonic to set

    - #### setPrecomputationThreshold

          public void setPrecomputationThreshold(double precomputationThreshold)

      Parameters:
        `precomputationThreshold` - the precomputationThreshold to set

    - #### setPrecomputed

          public void setPrecomputed(boolean precomputed)

      Parameters:
        `precomputed` - the precomputed to set